ICP Company Search
curl --request POST \
--url https://api.datamagnet.co/api/v1/people-search/search/company \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 123,
"industry": [
"<string>"
],
"location": [
"<string>"
],
"company_headcount": [
"<string>"
],
"company_type": [
"<string>"
],
"technology": [
"<string>"
],
"followers_count": [
"<string>"
]
}
'import requests
url = "https://api.datamagnet.co/api/v1/people-search/search/company"
payload = {
"page": 123,
"industry": ["<string>"],
"location": ["<string>"],
"company_headcount": ["<string>"],
"company_type": ["<string>"],
"technology": ["<string>"],
"followers_count": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page: 123,
industry: ['<string>'],
location: ['<string>'],
company_headcount: ['<string>'],
company_type: ['<string>'],
technology: ['<string>'],
followers_count: ['<string>']
})
};
fetch('https://api.datamagnet.co/api/v1/people-search/search/company', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": [
{
"company_id": "15285098",
"company_name": "Stripe",
"description": "Stripe is a technology company that builds economic infrastructure for the internet.",
"industry": "Financial Services",
"employee_count_range": "1001-5000",
"employee_count": 4000,
"company_url": "https://www.linkedin.com/company/stripe/",
"logo_url": "https://media.licdn.com/dms/image/..."
}
],
"pagination": {
"page": 1,
"total": 134,
"count": 25,
"start": 0
},
"filters_applied": 3
}
ICP Company Search
Find target accounts with ICP filters for industry, headcount, revenue, technology, and location. Uses human-readable values — no IDs required.
POST
/
api
/
v1
/
people-search
/
search
/
company
ICP Company Search
Cost:10 credits per page.
Search for companies using Datamagnet’s ICP Search. Filter by industry, location, headcount, revenue, technology stack, and more.
Use
GET /api/v1/people-search/filters to see all valid values for any filter. No credits consumed.Request body
integer
default:1
Page number. Minimum value is
1.string | string[]
Industry name(s). Over 300 industries supported. See Filter Reference.Example:
"Software Development"string | string[]
City, region, or country.Example:
"San Francisco" or ["San Francisco", "London"]string | string[]
Company size range(s). Valid values:
1-10, 11-50, 51-200, 201-500, 501-1,000, 1,001-5,000, 5,001-10,000, 10,001+.Example: ["501-1,000", "1,001-5,000"]string | string[]
Company type(s). Valid values:
Public, Private, Non Profit, Educational, Government.Example: "Public"string | string[]
Technologies used by the company.Example:
"Salesforce" or ["Salesforce", "HubSpot"]string | string[]
LinkedIn follower count range. Valid values:
1-50, 51-100, 101-1000, 1001-5000, 5001+.Example: "1001-5000"Response
{
"success": true,
"results": [
{
"company_id": "15285098",
"company_name": "Stripe",
"description": "Stripe is a technology company that builds economic infrastructure for the internet.",
"industry": "Financial Services",
"employee_count_range": "1001-5000",
"employee_count": 4000,
"company_url": "https://www.linkedin.com/company/stripe/",
"logo_url": "https://media.licdn.com/dms/image/..."
}
],
"pagination": {
"page": 1,
"total": 134,
"count": 25,
"start": 0
},
"filters_applied": 3
}
Response fields
boolean
true on success.array
List of matching companies.
Show Company object
Show Company object
object
integer
Number of filters applied to this search.
Was this page helpful?
⌘I